<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Landing</title>
	<link rel="stylesheet" type="text/css" href="style.css">
  <script type="text/javascript" src="jquery-3.5.0.min.js"></script>
</head>
<body>
<div class="podshapka" id="verx">
<div class="shapka">
<img class="logo" src="media1/logo.png"> </img>
<a href="#Search">Search</a>
<a href="#Promotions">Promotions</a>

</div>
</div>
<div class="promoties" id="Promotions">
<img class="prt" src="media1/images/promotions/promotion1.jpg">
<div class="hz">
<h1>Returning and Changing Your Tickets</h1>
<p> The pandemic has changed many travelers’ plans, but we know that it will not last forever. 
Once all of this is over, we will continue exploring this world the way we used to. 
Special rules that have been developed for this challenging situation will help you cancel your trip
or postpone it until later.</p>
</div>
</div>
<div class="promoties">
<img class="prt" src="media1/images/promotions/promotion2.jpg">
<div class="hz">
<h1>Best offers</h1>
<p> To see again the streets that witnessed so much. To hug your beloved ones and look back to see
what you’ve come through. And to think of new dreams that will be so special!</p>
</div>
</div>
<div class="promoties">
<img class="prt" src="media1/images/promotions/promotion3.jpg">
<div class="hz">
<h1>See you more often</h1>
<p> Since the beginning of January, we have been expanding the geography of flights in Russia so that you can
see your loved ones more often. Choose our company to fly to where you are always expected.</p>
</div>
</div>
<div class="promoties">
<img class="prt" src="media1/images/promotions/promotion4.jpg">
<div class="hz">
<h1>Everything is on again</h1>
<p> From August 10, we will resume flights to Turkey. Flights from Moscow to Antalya will be operated twice
a day daily, and flights on the Moscow-Dalaman route will be operated three to seven times a week.</p>
</div>
</div>
<div class="test">
<div class="search" id="Search">
<input type="text" placeholder="From" value=""> 
<input type="text" placeholder="To" value=""> 
<input type="date" value=""> 
<input type="date" value=""> 
<input type="number" placeholder="1" value="1" min="1" max="8"> 
<input type="button" name="but" value="Search" onclick="openButton()"> 
</div>
</div>



<div id="openModal" class="modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
		      <a href="#close" title="Close" class="close">close</a>
           <p class="pmodal">Phone: 8 (800) 100-10-10</p>
          </div>
        </div>
      </div>
    </div>


    <div class="modal-overlay" id="modal-overlay"></div>

    <div class="search_modal" id="search_modal">
      <button class="close-button" id="close-button" onclick="closeButton()" title="Закрыть модальное окно">X</button>
      <div class="modal-guts" role="document">
        <progress max="100" value="25" id="progress">
        </progress>
        <p id="txt_progress">0%</p>
        <input type="hidden" id="hi_progress" value="0">
      </div>
    </div>

	
	 <script>

function getProgress(){
  document.getElementById('hi_progress').value++;
if(document.getElementById('progress').value < 98){
  document.getElementById('progress').value++;
  document.getElementById('txt_progress').innerText = document.getElementById('progress').value + "%";
} else {
  if (document.getElementById('hi_progress').value == 150) {
    document.getElementById('txt_progress').innerText = "Fatal errror";
    return false;
  }
};

setTimeout(getProgress,50);
}



    function openButton(){
      document.getElementById('progress').value = 0;
            document.getElementById("search_modal").style.display = "block";
            document.getElementById("modal-overlay").style.display = "block";
            document.getElementById('hi_progress').value = 0;
            getProgress();
    }

    function sleep(milliseconds) {
  const date = Date.now();
  let currentDate = null;
  do {
    currentDate = Date.now();
  } while (currentDate - date < milliseconds);
}

    function closeButton(){
        document.getElementById("search_modal").style.display = "none";
        document.getElementById("modal-overlay").style.display = "none";
    }

    document.addEventListener("DOMContentLoaded", function () {
      var scrollbar = document.body.clientWidth - window.innerWidth + 'px';
      console.log(scrollbar);
      document.querySelector('[href="#openModal"]').addEventListener('click', function () {
        document.body.style.overflow = 'hidden';
        document.querySelector('#openModal').style.marginLeft = scrollbar;
      });
      document.querySelector('[href="#close"]').addEventListener('click', function () {
        document.body.style.overflow = 'visible';
        document.querySelector('#openModal').style.marginLeft = '0px';
      });
    });
  </script>
</body>
<footer>
<div class="h6">
<a>Phone: 8 (800) 100-10-10</a> 
<a href="#verx">Return</a>
<a href="#openModal">Contact </a>
<a href="pages/auth/auth.html">Login</a>
<a href="pages/reg/reg.html">Sign up</a>
</div>
</footer>
</html>